/** @file Image.cpp
 *
 * @author marco corvi <marco.corvi@elsag.it>
 * @date   feb 2003
 *
 * \brief  Implements the Image class
 *
 */
#include <stdlib.h> // NULL
#include "Image.h"

/** Default constructor:
 * subclasses must overwrite these members
 */
Image::Image()
{
  _img = NULL;
  _width = 0;
  _height = 0;
  _owner = false;
}


Image::Image(unsigned char * img, unsigned int w, unsigned int h)
{ 
  _img = img;
  _width = w;
  _height = h;
  _owner = false;
}

Image::~Image()
{
  if ( _owner && _img != NULL )
    free( _img );
}
	





