/** @file Image.h
 *
 * @author marco corvi <marco.corvi@elsag.it>
 * @date   feb 2003
 *
 * \brief  Memory-based Image class
 *
 */
#ifndef IMAGE_H
#define IMAGE_H

class Image
{
  protected:               // let subclasses see them
	unsigned char * _img;  //!< Image pixel data
	unsigned int _width;   //!< Image width
	unsigned int _height;  //!< Image height
	bool _owner;           //!< This object owns the data memory

  public:
	/** Default constructor
	 */
	Image();

	/** Memory-based constructor 
	 * @param img pixel data
	 * @param w   image width
	 * @param h   image height
	 */
	Image(unsigned char * img, unsigned int w, unsigned int h);

    /** Destructor
     */
    ~Image();
	
	/** Image width */
	unsigned int width()   { return _width; }

	/** Image height */
	unsigned int height()  { return _height; }

	/** Image pixels data */
	unsigned char* image() { return _img; }

};

#endif // IMAGE_H





