/** @file Image_JPG.h
 *
 * @author marco corvi <marco.corvi@elsag.it>
 * @date   feb 2003
 *
 * \brief Wrapper class for JPG image files.
 *
 * Image_JPG allows to construct a memory image object
 * either from a JPG file, or from an image already 
 * existing in memory, and to save the data to a JPG file.
 * 
 */
#ifndef IMAGE_JPG_H
#define IMAGE_JPG_H

#include "Image.h"

class Image_JPG : public Image
{
  private:
	// nothing

  public:
	/** JPG file based constructor 
	 * @param filename input file name
	 */
	Image_JPG(const char * filename);

	/** Saving the image data to a JPG file 
	 * @param filename output file name
	 */
  	bool save_image(const char * filename);
};

#endif // IMAGE_JPG_H





